#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian 
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/opt/gispatcher/osaas-server/server/startosaas.py
NAME=osaas
DESC=OSAAS-Server

test -x $DAEMON || exit 0

# Include osaas defaults if available
if [ -f /etc/default/osaas ] ; then
	. /etc/default/osaas
fi

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --start -c $OSAAS_USER:$OSAAS_GROUP --quiet --pidfile $OSAAS_PID \
		--exec $DAEMON -- 
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop -c $OSAAS_USER:$OSAAS_GROUP --quiet --pidfile $OSAAS_PID \
		--exec $DAEMON
	echo "$NAME."
	;;
  force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart" except that it does nothing if the
	#   daemon isn't already running.
	# check wether $DAEMON is running. If so, restart
	start-stop-daemon --stop -c $OSAAS_USER:$OSAAS_GROUP --test --quiet --pidfile \
		$OSAAS_PID --exec $DAEMON \
	&& $0 restart \
	|| exit 0
	;;
  restart)
    echo -n "Restarting $DESC: "
	start-stop-daemon --stop -c $OSAAS_USER:$OSAAS_GROUP --quiet --pidfile \
		$OSAAS_PID --exec $DAEMON
	sleep 1
	start-stop-daemon --start -c $OSAAS_USER:$OSAAS_GROUP --quiet --pidfile \
		$OSAAS_PID --exec $DAEMON --
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
