# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file GPL.txt coming with the software for details.

"""Tests for osaas.http.httpserver"""

import serversupport


class SimpleHTTPServerTests(serversupport.ServerTest):

    server_contents = [
        ("/wms", [("Content-Type", "text/plain")], "wms data"),
        ]

    def create_server(self, *args, **kw):
        return serversupport.HTTPServer(self.server_contents, *args, **kw)

    def test_get_200(self):
        self.run_simple_http_test("/wms", 200)
        self.assertEquals(self.error_log_stream.getvalue(), "")

    def test_get_404(self):
        self.run_simple_http_test("/something/that/doesnt/exist", 404)
        # The case of the default messages in BaseHTTPServer has changed
        # between Python 2.1 and 2.4.  Compare lower case strings to
        # avoid test failures because of that.
        self.assertEquals(self.error_log_stream.getvalue().lower(),
                          'code 404, message not found\n')

